Bug 1001955 - rpc.statd always exit with 0, even exit with error.
rpc.statd always exit with 0, even exit with error.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nfs-utils (Show other bugs)
5.10
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Steve Dickson
Red Hat Kernel QE team
:
Depends On: 1001953 1001956
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 04:06 EDT by Yin.JianHong
Modified: 2014-02-05 17:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1001953
Environment:
Last Closed: 2014-02-05 17:17:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yin.JianHong 2013-08-28 04:06:04 EDT
+++ This bug was initially created as a clone of Bug #1001953 +++

Description of problem:
rpc.statd always exit with 0, even exit with error.

Version-Release number of selected component (if applicable):
all version in RHEL5 EHRL6 EHRL7

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:
[root@dhcp-13-188 ~]# lsb_release -sr
6.4
[root@dhcp-13-188 ~]# rpc.statd -xxxx
rpc.statd: invalid option -- 'x'
usage: rpc.statd [options]
      -h, -?, --help       Print this help screen.
      -F, --foreground     Foreground (no-daemon mode)
      -d, --no-syslog      Verbose logging to stderr.  Foreground mode only.
      -p, --port           Port to listen on
      -o, --outgoing-port  Port for outgoing connections
      -V, -v, --version    Display version information and exit.
      -n, --name           Specify a local hostname.
      -P                   State directory path.
      -N                   Run in notify only mode.
      -L, --no-notify      Do not perform any notification.
      -H                   Specify a high-availability callout program.
[root@dhcp-13-188 ~]# echo $?
0


Expected results:
should exit with 1, not 0

Additional info:
Comment 1 Yin.JianHong 2013-08-28 04:06:32 EDT
[root@dhcp-13-194 ~]# lsb_release -sr
5.10
[root@dhcp-13-194 ~]# rpc.statd -xxx
rpc.statd: invalid option -- x
usage: rpc.statd [options]
      -h, -?, --help       Print this help screen.
      -F, --foreground     Foreground (no-daemon mode)
      -d, --no-syslog      Verbose logging to stderr.  Foreground mode only.
      -p, --port           Port to listen on
      -o, --outgoing-port  Port for outgoing connections
      -V, -v, --version    Display version information and exit.
      -n, --name           Specify a local hostname.
      -P                   State directory path.
      -N                   Run in notify only mode.
      -H                   Specify a high-availability callout program.
[root@dhcp-13-194 ~]# echo $?
0
Comment 2 RHEL Product and Program Management 2014-01-29 05:35:13 EST
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 3 RHEL Product and Program Management 2014-02-05 17:17:10 EST
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.